Get Invoice
curl --request GET \
--url https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice/{referenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice/{referenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Invoice successfully retrieved",
"data": {
"referenceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"amount": "John Doe",
"currency": "+254712345678",
"accountName": "John Doe",
"address": "123 Main St",
"phoneNumber": "+254712345678",
"bankCode": "123456",
"accountNumber": "1234567890",
"country": "Kenya",
"invoice": {
"referenceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"invoiceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"amount": 1000,
"currency": "KES"
}
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Cross-Border Payments
Get Invoice
Get Invoice
GET
/
api
/
v3
/
cross-boarder
/
invoice
/
{referenceId}
Get Invoice
Get invoice details for cross-border payments.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I